# Uses of Class
org.opensaml.saml.metadata.resolver.impl.AbstractDynamicMetadataResolver.PersistentCacheInitializationMetrics

Packages that use AbstractDynamicMetadataResolver.PersistentCacheInitializationMetrics
Package
Description
org.opensaml.saml.metadata.resolver.impl
Classes for retrieving, filtering, and querying metadata.

## Uses of AbstractDynamicMetadataResolver.PersistentCacheInitializationMetrics in org.opensaml.saml.metadata.resolver.impl

Fields in org.opensaml.saml.metadata.resolver.impl declared as AbstractDynamicMetadataResolver.PersistentCacheInitializationMetrics
Modifier and Type
Field
Description
`private AbstractDynamicMetadataResolver.PersistentCacheInitializationMetrics`
AbstractDynamicMetadataResolver.`persistentCacheInitMetrics`
Object tracking metrics related to the persistent cache initialization.
Fields in org.opensaml.saml.metadata.resolver.impl with type parameters of type AbstractDynamicMetadataResolver.PersistentCacheInitializationMetrics
Modifier and Type
Field
Description
`private com.codahale.metrics.Gauge<AbstractDynamicMetadataResolver.PersistentCacheInitializationMetrics>`
AbstractDynamicMetadataResolver.`gaugePersistentCacheInit`
Metrics Gauge for the persistent cache initialization.